Bug 219462 - benchmarks/phoronix-test-suite: update to v7.0.1
Summary: benchmarks/phoronix-test-suite: update to v7.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2017-05-22 18:16 UTC by Johannes Jost Meixner
Modified: 2017-06-20 20:26 UTC (History)
2 users (show)

See Also:
luca.pizzamiglio: maintainer-feedback+


Attachments
bump to v7.0.1 (2.15 KB, patch)
2017-05-22 18:16 UTC, Johannes Jost Meixner
no flags Details | Diff
My current patch (1.98 KB, patch)
2017-05-30 10:38 UTC, luca.pizzamiglio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2017-05-22 18:16:00 UTC
Created attachment 182814 [details]
bump to v7.0.1

- update to v7.0.1
- use github
Comment 1 luca.pizzamiglio 2017-05-30 10:36:04 UTC
Hi xmj@

thanks for the patch, I had one ready to upload, but I went on holiday :)

Two questions:
* is there any specific reason why github should be preferred?
* why the bash completion entry is removed from the pkg-plist?
Comment 2 luca.pizzamiglio 2017-05-30 10:38:14 UTC
Created attachment 183065 [details]
My current patch

That's my current patch.

Nothing special, updating and removing commented-out lines
Comment 3 Johannes Jost Meixner freebsd_committer 2017-06-02 18:07:21 UTC
Bash completions was an error on my part, I didn't have it enabled when generating the new plist and didn't pay enough attention - my bad.

I used github mainly because I was experimenting with one of the non-releases of 7.2 and then downgraded to 7.0.1 for submission, either is fine
Comment 4 Jochen Neumeister freebsd_committer 2017-06-15 13:56:14 UTC
review: https://reviews.freebsd.org/D11216
Comment 5 Jochen Neumeister freebsd_committer 2017-06-15 15:26:30 UTC
(In reply to luca.pizzamiglio from comment #2)



> ${WRKSRC}/pts-core/external-test-dependencies/xml/freebsd-packages.xml
> + #${WRKSRC}/pts-core/external-test-dependencies/scripts/install-dragonfly-packages.sh
> @${SED} -i '' -e "s|/usr/share/fonts|${LOCALBASE}/share/fonts| ; \

Please do not keep commented out stuff, we have our vcs history for that.
Comment 6 commit-hook freebsd_committer 2017-06-20 20:26:00 UTC
A commit references this bug:

Author: joneum
Date: Tue Jun 20 20:25:22 UTC 2017
New revision: 444000
URL: https://svnweb.freebsd.org/changeset/ports/444000

Log:
  - benchmarks/phoronix-test-suite: Update from 6.8.0 to 7.0.1
  - Changelog: http://www.phoronix.com/scan.php?page=article&item=pts-70-ringsaker&num=1

  PR:		219462
  Reported by:	xmj
  Approved by:	luca.pizzamiglio at gmail.com (maintainer) miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11216

Changes:
  head/benchmarks/phoronix-test-suite/Makefile
  head/benchmarks/phoronix-test-suite/distinfo
Comment 7 Jochen Neumeister freebsd_committer 2017-06-20 20:26:16 UTC
Committed, thanks :-)